<?php
namespace FiloBlu\Rma\Plugin\Rma;

/*
 *
 */
class LoadExtensionAttributes
{
    /**
     * @var \Magento\Rma\Api\Data\ItemExtensionFactory
     */
    private $extensionFactory;

    /**
     * @param \Magento\Rma\Api\Data\ItemExtensionFactory $extensionFactory
     */
    public function __construct(
        \Magento\Rma\Api\Data\ItemExtensionFactory $extensionFactory
    )
    {
        $this->extensionFactory = $extensionFactory;
    }

    /**
     * Loads rma items extension attributes
     *
     * @param \Magento\Rma\Api\Data\ItemInterface $entity
     * @param \Magento\Rma\Api\Data\ItemExtensionInterface|null $extension
     * @return \Magento\Rma\Api\Data\ItemExtensionInterface
     */
    public function afterGetExtensionAttributes(
        \Magento\Rma\Api\Data\ItemInterface $entity,
        \Magento\Rma\Api\Data\ItemExtensionInterface $extension = null
    )
    {
        if ($extension === null) {
            $extension = $this->extensionFactory->create();
        }

        return $extension;
    }
}
